// This is the body of the manual page for ntpsweep.
// It's included in two places: once for the docs/ HTML
// tree, and once to make an individual man page.

== Synopsis
+ntpsweep+ [+-V+ | +--version+] [+-l+ 'host']... [-p] [+-m+ 'number'] [+-s+ 'prefix'] [+-h+ 'string'] [hostfile...]


== Description

`ntpsweep` prints per host the NTP stratum level, the clock offset in
seconds, the daemon version, the operating system and the processor.
Optionally recursing through all peers.

If no hosts are specified, `ntpsweep` reports on localhost.

`ntpsweep` relies on `ntpq` and Mode 6 queries to probe servers.  This
depends on the remote host's _restrict_ configuration allowing
queries. Nowadays effectively all public hosts set _noquery_, so this
script is unlikely to be useful unless you have multiple specially-
configured timeservers on a LAN.

== Options

+-l+ string, +--host-list+=_string_::
  Host to execute actions on. This option may appear an unlimited number
  of times.
+
Use this option to specify the host on which this script operates. May
appear multiple times.  Multiple hosts may be specified, delimited
by commas.

+-p+, +--peers+::
  Recursively list all peers a host synchronizes to.

+-m+ number, +--maxlevel+=_number_::
  Traverse peers up to this level (4 is a reasonable number). This
  option takes an integer number as its argument.

+-s+ string, +--strip+=_string_::
  Strip this string from hostnames.

+-h+ string, +--host+=_string_::
  Specify a single host.  Deprecated option for backwards compatibility.

+-V+, +--version+::
  Print the version string and exit.

If hostfiles are specified, they are treated as lists of hostnames
to be swept, one per line.

// end
